Ryzom - Feature # 1225

Status: Closed Priority: Normal
Author: rti Category: OS: Mac
Created: 01/06/2011 Assignee: vl
Updated: 12/07/2011 Due date:

Subject: Collect information on how to put Ryzom Client into the App Store
Description

Today, Apple's App Store opened (Apple controlled software repository and market for Mac OS X applications)

http://www.apple.com/mac/app-store

Since this is an easy and straight forward way to get applications on the mac platform it is desirable that the Ryzom client is available

through the app store as well.

This ticket is meant to collect information on what is needed to make the client app store compatible.

History

#1 - 01/06/2011 06:17 pm - rti

Guidelines summarized: http://www.appleinsider.com/articles/10/10/20/apple _issues review_guidelines for mac_app_store.html

#2 - 01/06/2011 06:29 pm - rti

As pointed out by kervala: "Apps that present a license screen at launch will be rejected.”

The Ryzom client does show the EULA, so this would need some adjustments.

#3 - 01/06/2011 06:40 pm - rti

Pointed out by kervala as well: "Apps are also forbidden from renting content or services that expire after a period of time." ...

#4 - 05/31/2011 06:39 pm - rti

- Status changed from New to Resolved
- Assignee set to vl

- Target version set to Version 0.9.0

- % Done changed from 0 to 100

It IS in the AppStore :)

http://itunes.apple.com/en/app/ryzom/id427774253

#5 - 12/07/2011 02:39 pm - sfb

- Status changed from Resolved to Closed
